
# make a prediction for a new image.
#from keras.preprocessing.image import load_img
#from keras.preprocessing.image import img_to_array

from tensorflow.keras.preprocessing.image import load_img
from tensorflow.keras.preprocessing.image import img_to_array
from tensorflow.keras.models import load_model

# load and prepare the image
def load_image(filename):
    # load the image
    img = load_img(filename, target_size=(224, 224))
    # convert to array
    img = img_to_array(img)
    # reshape into a single sample with 3 channels
    img = img.reshape(1, 224, 224, 3)
    # center pixel data
    img = img.astype('float32')
    img = img - [123.68, 116.779, 103.939]
    return img



# entry point, run the example
end = False

# load model

model = load_model('Student.keras')   # <=== MODIFY TO YOUR MODEL FILE NAME **** #



while not end:

    try:
        file=input("Enter a picture's file name (or exit to end):")
        if file != "exit":            
            # load the image
            img = load_image(file.strip())           
            # predict the class
            result = model.predict(img,verbose = 0)



            # check result
            #-----------------------------------------------------------------------------
            #  * TASK C*
            # Input the 'OUTPUT Message'
            #-----------------------------------------------------------------------------

            if result < 0.5: 

                print(result, "XXX!") #The result is male, the output(XXX) should be? 

            else: 

                print(result, "YYY!") #The result is Female, the output(YYY) should be? 
            
            #-----------------------------------------------------------------------------
            # End of TASK C
            #-----------------------------------------------------------------------------


        else:
            end =True
    except OSError as e:
        print("Cannot Open File")
    
    
#
#
#
#
#
#
#
#
#
#
#
#
#
#
#
# please do not close the windows        
input()    

